Check Sku Availability - Check Sku Availability
Check available SKUs.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/locations/{location}/checkSkuAvailability?api-version=2025-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Resource location. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| kind | True |
string |
The kind (type) of cognitive service account. |
| skus | True |
string[] |
The SKU of the resource. |
| type | True |
string |
The Type of the resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
Check SKU Availability
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.CognitiveServices/locations/westus/checkSkuAvailability?api-version=2025-06-01
{
"skus": [
"S0"
],
"kind": "Face",
"type": "Microsoft.CognitiveServices/accounts"
}
Sample response
{
"value": [
{
"kind": "Face",
"type": "Microsoft.CognitiveServices/accounts",
"skuName": "S0",
"skuAvailable": true,
"reason": null,
"message": null
}
]
}
Definitions
| Name | Description |
|---|---|
|
Check |
Check SKU availability parameter. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Sku |
SKU availability. |
|
Sku |
Check SKU availability result list. |
CheckSkuAvailabilityParameter
Check SKU availability parameter.
| Name | Type | Description |
|---|---|---|
| kind |
string |
The kind (type) of cognitive service account. |
| skus |
string[] |
The SKU of the resource. |
| type |
string |
The Type of the resource. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
SkuAvailability
SKU availability.
| Name | Type | Description |
|---|---|---|
| kind |
string |
The Kind of the resource. |
| message |
string |
Additional error message. |
| reason |
string |
Reason why the SKU is not available. |
| skuAvailable |
boolean |
Indicates the given SKU is available or not. |
| skuName |
string |
The SKU of Cognitive Services account. |
| type |
string |
The Type of the resource. |
SkuAvailabilityListResult
Check SKU availability result list.
| Name | Type | Description |
|---|---|---|
| value |
Check SKU availability result list. |